package io.data2viz.charts.axis

/**
 * Layout of the label on an [AxisRenderer].
 * @see [TickLabelLayout]
 */
public enum class AxisLabelLayout {

    /**
     * Label is placed just above the main axis line of the [AxisRenderer] and overlap the drawing zone of the [Chart].
     *   - If the Axis is on the right, label will be placed on its left
     *   - If the Axis is on the left, label will be placed on its right
     *   - If the Axis is on the top, label will be placed under it
     *   - If the Axis is on the bottom, label will be placed on top of it
     */
    AboveAxis,

    /**
     * Label is placed below the main axis line of the [AxisRenderer], this is the default behavior.
     *   - If the Axis is on the right, label will be placed on its right
     *   - If the Axis is on the left, label will be placed on its left
     *   - If the Axis is on the top, label will be placed on top of it
     *   - If the Axis is on the bottom, label will be placed below it
     */
    BelowAxis
}
