package io.data2viz.charts.axis

/**
 * Layout of the label on an [AxisRenderer].
 * @see [AxisLabelLayout]
 */
public enum class TickLabelLayout {

    /**
     * Label is place before (in the axis direction) the tick.
     */
    BeforeTick,

    /**
     * The center of the label is aligned with the tick position.
     *
     * This is the default behavior.
     */
    OnTick,

    /**
     * Label is place after (in the axis direction) the tick.
     */
    AfterTick;
}
