package io.data2viz.charts.axis

/**
 * Tick-skipping behavior.
 * This is used only for discrete axes.
 * This parameter is used in concordance with the [AxisConfig.tickCount] property
 */
public enum class TickSkip {

    /**
     * Keep all ticks as each one represent a Domain Value, [AxisConfig.tickCount] is ignored.
     */
    SkipNone,

    /**
     * The [AxisConfig.tickCount] value is used to display a limited number of ticks.
     */
    UseTickCount,

    /**
     * If the [AxisConfig.tickCount] value is not null use it, else display a selected amount of ticks considering
     * the available space.
     *
     * This is the default behavior.
     */
    SmartSkip;
}
