package io.data2viz.charts.chart.mark

import io.data2viz.charts.core.MarkLabel
import io.data2viz.charts.dimension.Dimension
import io.data2viz.charts.dimension.DiscreteDimension

/**
 * A visual element that can change its filling color depending on the data.
 */
public interface HasLabel<DOMAIN>  {

    /**
     * The [Dimension] used to decide whether or not you should display a label on a Mark.
     */
    public var label: DiscreteDimension<DOMAIN, MarkLabel>

}
