package io.data2viz.charts.chart.mark

import io.data2viz.charts.core.SelectionMode

/**
 * A visual element that can handle selection or not.
 * The behavior is inherited by default from the global chart configuration but you can enable/disable specifically
 * the SelectionMode of a [Mark].
 */
public interface HasSelectionMode {

    /**
     * The [SelectionMode] used to define the selectioning behavior of this element.
     */
    public var selectionMode: SelectionMode

}
