package io.data2viz.charts.chart.mark

import io.data2viz.charts.dimension.Dimension

/**
 * A visual element that can change its line dash style depending on the data.
 */
public interface HasStrokeLine<DOMAIN> {

    /**
     * The [Dimension] used to define the dash style of a line from a DOMAIN object.
     */
    public var strokeLine: Dimension<DOMAIN, DoubleArray?>

}
