package io.data2viz.charts.chart.mark

import io.data2viz.charts.config.AxisConfig

/**
 * A [Mark] that can display itself along a X [Axis].
 */
public interface MarkX<DOMAIN, VALUE> {

    /**
     * The [Axis] used to translate data values into a X position.
     */
    public val x: Axis<DOMAIN, VALUE>

    /**
     * An initialization lambda for configuring the X [Axis] used in this [Mark].
     */
    public fun x(configLambda: Axis<DOMAIN, VALUE>.() -> Unit) {
        configLambda(x)
    }

    /**
     * The configuration object [AxisConfig] used for the X axis.
     */
    public val xAxisConfig: AxisConfig
}
