package io.data2viz.charts.chart.mark

import io.data2viz.geom.Path
import io.data2viz.shape.Curve

/**
 * A [PathDrawer] transforms a given [Path] into a [Curve].
 * @see [MarkCurves]
 */
public fun interface PathDrawer {

    /**
     * Given the path generator returns a curve generator.
     *
     * [path] the path generator
     * @return a [Curve] generator
     */
    public fun draw(path: Path): Curve
}
