package io.data2viz.charts.config

import io.data2viz.charts.chart.mark.ShapeColor
import io.data2viz.color.Color
import io.data2viz.color.Colors
import io.data2viz.math.pct

/**
 * Selection layer configuration.
 */
public data class SelectionConfig(

    /**
     * The filling [Color] of the selection layer.
     */
    public override var fill: Color? = Colors.Web.lightblue.withAlpha(30.pct),

    /**
     * The stroke [Color] of the selection layer.
     */
    public override var strokeColor: Color? = null,

    /**
     * The stroke thickness of the selection layer.
     */
    public override var strokeWidth: Double? = null
) : ShapeColor
