package io.data2viz.charts.config

import io.data2viz.charts.core.Font
import io.data2viz.charts.core.LayoutPosition
import io.data2viz.charts.core.Padding

/**
 * The configuration interface for a [Title].
 */
public interface TitleConfig : Font {

    /**
     * The [Title] padding.
     */
    public var padding: Padding

    /**
     * Show / hide the [Title].
     * Note: the [Title] component visibility is
     *
     * ```show == true && titleText.isNullOrBlank()```
     */
    public var show: Boolean

    /**
     * The [Title] position on screen.
     */
    public var layout: LayoutPosition

}
