package io.data2viz.charts.config

import io.data2viz.charts.chart.Tooltip
import io.data2viz.charts.core.Font
import io.data2viz.charts.core.Padding
import io.data2viz.charts.core.Stroke
import io.data2viz.color.ColorOrGradient

/**
 * The configuration interface for a [Tooltip].
 */
public interface TooltipConfig : Font, Stroke {

    /**
     * The [Tooltip] padding.
     */
    public var padding: Padding

    /**
     * Show / hide the [Tooltip].
     */
    public var show: Boolean

    /**
     * Background color of the tooltip
     */
    public var backgroundColor: ColorOrGradient?

}
