package io.data2viz.charts.config.configs

import io.data2viz.charts.config.ChartConfig
import io.data2viz.charts.config.configuration
import io.data2viz.color.Colors
import io.data2viz.color.col
import io.data2viz.math.pct

/**
 * Green themed [ChartConfig]: based on [lightConfig] but with a green color theme.
 */
public val greenConfig: ChartConfig
    get() = configuration {

        fontColor = Colors.Web.white
        strokeColor = Colors.Web.white
        strokeWidth = 1.0

        chart {
            backgroundColor = "#70CC87".col
        }


        mark {
            markersSize = 30.0
            strokeWidth = 2.0

            strokeColors = listOf(Colors.Web.white)
            fills = listOf(0x4A8F6E.col.withAlpha(80.pct))

            strokeColorsHighlight = strokeColors.toList()
            fillsHighlight = fills.toList()
            strokeWidthHighlight = 4.0

            strokeColorsSelect = strokeColors.toList()
            fillsSelect = fills.toList()
            strokeWidthSelect = 4.0
        }

        tooltip {
            backgroundColor = 0x4A8F6E.col.withAlpha(80.pct)
            strokeColor = null
        }

        cursor {
//        strokeColor = "#FFFFFF".col
        }

        legend {
            backgroundColor = 0x4A8F6E.col.withAlpha(80.pct)
        }

        zoom {
            strokeColor = "#99BBFF".col
            fill = "#99BBFF".col.withAlpha(30.pct)
        }

        xAxis {
            enableTitle = true
            tickPadding = 3.0
            enableGridLines = false
            enableAlternateBackground = false
            gridLinesColor = Colors.Web.white
            gridLinesDashed = doubleArrayOf(2.0, 4.0)
            alternateBackgroundColor = "#DDDDDD".col.withAlpha(30.pct)
        }

        yAxis {
            enableAxisLine = false
            enableTicks = false
            enableGridLines = true
            enableAlternateBackground = false
            gridLinesColor = Colors.Web.white
            gridLinesDashed = doubleArrayOf(2.0, 4.0)
            alternateBackgroundColor = "#DDDDDD".col.withAlpha(30.pct)
        }
    }
