package io.data2viz.charts.core

/**
 * Cursor information display behavior.
 */
public enum class CursorDisplay {

    /**
     * Cursor does not display any information.
     */
    None,

    /**
     * Cursor displays X and Y values on top of the X and Y axes.
     */
    AxisXY,

    /**
     * Cursor displays X value on top of the X axis.
     */
    AxisX,

    /**
     * Cursor displays Y value on top of the Y axis.
     */
    AxisY;

    internal val displayOnX: Boolean
        get() = (this == AxisXY || this == AxisX)

    internal val displayOnY: Boolean
        get() = (this == AxisXY || this == AxisY)
}
