package io.data2viz.charts.core

/**
 * Cursor type: change cursor appearance and behavior.
 */
public enum class CursorType {

    /**
     * Force a vertical cursor.
     */
    Vertical,

    /**
     * Force a horizontal cursor.
     */
    Horizontal,

    /**
     * Force a "crosshair" (vertical and horizontal) cursor.
     */
    Crosshair,

    /**
     * Auto (default value) cursor is selected depending on the axes.
     */
    Auto;

    internal val isHorizontal: Boolean
        get() = (this != Vertical)

    internal val isVertical: Boolean
        get() = (this != Horizontal)
}
