package io.data2viz.charts.core

/**
 * The display of an element relative to a point, in 9 different positions.
 */
public enum class GridPosition {

    /**
     * Display the element on top of the point.
     */
    Top,

    /**
     * Display the element top-right of the point.
     */
    TopRight,

    /**
     * Display the element top-left of the point.
     */
    TopLeft,

    /**
     * Display the element below the point.
     */
    Bottom,

    /**
     * Display the element bottom-right of the point.
     */
    BottomRight,

    /**
     * Display the element bottom-left of the point.
     */
    BottomLeft,

    /**
     * Display the element on the right of the point.
     */
    Right,

    /**
     * Display the element on the left of the point.
     */
    Left,

    /**
     * Display the element exactly on the point.
     */
    On;
}
