package io.data2viz.charts.core

/**
 * Display X/Y information for a given [Mark] sign.
 */
public enum class MarkLabel {

    /**
     * Don't display any label.
     */
    None,

    /**
     * Display the X value.
     */
    X,

    /**
     * Display the Y value.
     */
    Y,

    /**
     * Display the X and Y value.
     */
    XY;

    internal val hasLabel
        get() = this != None
}
