package io.data2viz.charts.core

import io.data2viz.charts.chart.mark.Axis


/**
 * Orientation of a visual component.
 *
 * @see Axis
 */
public enum class Orientation {

    /**
     * The component is displayed horizontally, useful for X axes.
     */
    Horizontal,

    /**
     * The component is displayed horizontally, useful for Y axes.
     */
    Vertical;

    internal val isHorizontal: Boolean
        get() = this == Horizontal


    internal val isVertical: Boolean
        get() = this == Vertical

    internal val other: Orientation
        get() = if (isVertical) Horizontal else Vertical
}
