package io.data2viz.charts.core

import io.data2viz.geom.Point

/**
 * Padding of an element.
 */
@ChartDSL
public data class Padding(

    /**
     * Space reserved for top padding.
     */
    public val top: Double = .0,

    /**
     * Space reserved for right padding.
     */
    public val right: Double = .0,

    /**
     * Space reserved for bottom padding.
     */
    public val bottom: Double = .0,

    /**
     * Space reserved for left padding.
     */
    public val left: Double = .0
) {

    internal val horizontalPadding: Double
        get() = left + right

    internal val verticalPadding: Double
        get() = top + bottom

    internal val topLeft: Point
        get() = Point(left, top)
}

//public operator fun Size.minus(padding: Padding): Size =
//    Size(width - padding.horizontalPadding, height - padding.verticalPadding)
