package io.data2viz.charts.core

import io.data2viz.charts.chart.mark.Mark

/**
 * Selection behaviors, define how marks will react to a Domain object selection.
 * Default to AllMarks.
 */
public enum class SelectionPattern {

    /**
     * When selecting item(s), only the [Mark](s) that draw this item will handle this selection.
     */
    SingleMark,

    /**
     * When selecting item(s), all the [Mark]s will react to the selection for the given selected domain objects.
     */
    AllMarks
}
