package io.data2viz.charts.core

/**
 * Zoom behavior, use it to authorize or restrict zooming.
 */
public enum class ZoomMode {

    /**
     * Disable zoom.
     */
    None,

    /**
     * Zoom only in X direction.
     */
    X,

    /**
     * Zoom only in Y direction.
     */
    Y,

    /**
     * Zoom in both X and Y directions.
     */
    XY;

    internal val zoomX: Boolean
        get() = this == X || this == XY

    internal val zoomY: Boolean
        get() = this == Y || this == XY

    internal val enabled: Boolean
        get() = this != None
}
