package io.data2viz.charts.dimension

// TODO: this use an accessor as a lambda, should not use it, it's a constant, no need for evaluation...

/**
 * [Constant] is a [Dimension] that always returns the same <VALUE> object for any <DOMAIN> object.
 * It is build by giving a single <VALUE> object.
 *
 * Use the [Chart.constant] function to build a [Constant] dimension.
 *
 * Notes:
 *  - This [Dimension] is not designed for axes.
 *  - A [Constant] dimension is considered "discrete".
 */
public class Constant<DOMAIN, VALUE>(
    value: VALUE,
    init: Constant<DOMAIN, VALUE>.() -> Unit = {}
) : DiscreteDimension<DOMAIN, VALUE>(accessor = { value }) {

    init {
        init()
    }

}
