package io.data2viz.charts.dimension

import io.data2viz.charts.core.Datum

/**
 * A [ContinuousDimension] is a [Dimension] that handle continuous values: [Double], [LocalDateTime].
 */
public sealed class ContinuousDimension<DOMAIN, VALUE>(
    accessor: Datum<DOMAIN>.() -> VALUE,
    parentDimension: ContinuousDimension<DOMAIN, VALUE>? = null
) : Dimension<DOMAIN, VALUE>(
    accessor = accessor,
    parentDimension = parentDimension
) {

    override val isDiscrete: Boolean = false

}
