package io.data2viz.charts.event

/**
 * A generic chart event.
 */
public interface ChartEvent {

    /**
     * The preventDefault variable of the ChartEvent interface tells the Chart that its default action should not
     * be taken as it normally would be.
     *
     * For example if you want to completely override the selection behavior of a chart, just put some
     * onSelect listener, do the stuff you want to do and set event.preventDefault to true.
     */
    public var preventDefault: Boolean
}

