package io.data2viz.charts.event

import io.data2viz.charts.core.Datum
import io.data2viz.charts.core.SelectedDatum

/**
 * A generic chart event containing a "selection" of elements.
 */
public interface SelectionEvent<DOMAIN>: ChartEvent {

    /**
     * The [Collection] of [SelectedDatum] of the DOMAIN objects.
     */
    public val selectedData: Collection<SelectedDatum<DOMAIN>>

    /**
     * If you want to directly access the [Collection] of [Datum] of the DOMAIN objects.
     */
    public val data: Collection<Datum<DOMAIN>>
}

