package io.data2viz.charts.core

import kotlin.test.Test
import kotlin.test.assertEquals

class TestNumberFormats {

    @Test
    // https://youtrack.data2viz.io/issue/CHRT-172
    fun testSmartFormatter() {
        assertEquals("1", 1.000000.formatSmartDouble(io.data2viz.format.Locales.en_US))
        assertEquals("-1", (-1.000000).formatSmartDouble(io.data2viz.format.Locales.en_US))
        assertEquals("1", 1.0.formatSmartDouble(io.data2viz.format.Locales.en_US))
        assertEquals("-1", (-1.0).formatSmartDouble(io.data2viz.format.Locales.en_US))

        assertEquals("200", 200.000.formatSmartDouble(io.data2viz.format.Locales.en_US))
        assertEquals("-200", (-200.000).formatSmartDouble(io.data2viz.format.Locales.en_US))

        assertEquals("200", 200.0000001.formatSmartDouble(io.data2viz.format.Locales.en_US))
        assertEquals("-200", (-200.0000001).formatSmartDouble(io.data2viz.format.Locales.en_US))

        assertEquals("100µ", .0001.formatSmartDouble(io.data2viz.format.Locales.en_US))
        assertEquals("-100µ", (-.0001).formatSmartDouble(io.data2viz.format.Locales.en_US))
    }
}
